package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

/**
 * @Author Joburgess
 * @Date 2019/10/1
 */
public enum SalarySettlementTypeEnum implements BaseEnum<Integer,SalarySettlementTypeEnum> {

    TEACHER_DEFAULT(1,"老师默认课酬"),
    RATIO_DISCOUNT(2,"课程单价比例折扣"),
    FIXED_SALARY(3,"固定课酬"),
    GRADIENT_SALARY(4,"梯度课酬");

    private Integer code;

    private String msg;

    SalarySettlementTypeEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    @Override
    public Integer getCode() {
        return this.code;
    }
}
